package com.sifang.modules.sys.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.annotations.GenericGenerator;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 在system中简单控制system角色人员的权限
 * @author ivan
 *
 */

@Entity
@Table(name = "crm_platform_announcement")
public class CrmPlatformAnnouncement implements Serializable {

	private String id;
	private String title;
	private String html;
	private String status;
	private Date createTime;
	private String createBy;
	private String creator;
	private String objType;
	private String province;
	private String city;
	private String isMany;
	private String customerId;
	private Integer loginNumMin;
	private Integer loginNumMax;
	private Date stationBuildingStart;
	private Date stationBuildingEnd;
	private String customerName;


	public String getCustomerName() {
		return customerName;
	}

	public void setCustomerName(String customerName) {
		this.customerName = customerName;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getIsMany() {
		return isMany;
	}

	public void setIsMany(String isMany) {
		this.isMany = isMany;
	}

	public String getCustomerId() {
		return customerId;
	}

	public void setCustomerId(String customerId) {
		this.customerId = customerId;
	}

	public Integer getLoginNumMin() {
		return loginNumMin;
	}

	public void setLoginNumMin(Integer loginNumMin) {
		this.loginNumMin = loginNumMin;
	}

	public Integer getLoginNumMax() {
		return loginNumMax;
	}

	public void setLoginNumMax(Integer loginNumMax) {
		this.loginNumMax = loginNumMax;
	}
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	public Date getStationBuildingStart() {
		return stationBuildingStart;
	}

	public void setStationBuildingStart(Date stationBuildingStart) {
		this.stationBuildingStart = stationBuildingStart;
	}

	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	public Date getStationBuildingEnd() {
		return stationBuildingEnd;
	}

	public void setStationBuildingEnd(Date stationBuildingEnd) {
		this.stationBuildingEnd = stationBuildingEnd;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	@Id
	@GeneratedValue(generator = "idGenerator")
	@GenericGenerator(name = "idGenerator", strategy = "uuid")
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getHtml() {
		return html;
	}

	public void setHtml(String html) {
		this.html = html;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getObjType() {
		return objType;
	}

	public void setObjType(String objType) {
		this.objType = objType;
	}
}
